package at.procon.eventhub.tachographfilesession.service;

import at.procon.eventhub.tachographfilesession.model.TachographFileSession;
import java.util.List;
import java.util.Optional;
import java.util.UUID;

public interface TachographFileSessionRepository {

    TachographFileSession save(TachographFileSession session);

    Optional<TachographFileSession> find(UUID sessionId);

    boolean delete(UUID sessionId);

    List<TachographFileSession> list();
}
